Uses of Class
wicket.Request

Packages that use Request
wicket The core Wicket package. 
wicket.protocol.http HTTP implementation. 
wicket.protocol.http.portlet Wicket interface to the JSR-168 portlet API. 
wicket.protocol.http.request This package contains http (web) protocol dependent implementations of request processing strategies. 
wicket.protocol.http.servlet Java Servlet specific implementation of Wicket http classes. 
wicket.request Package for classes that have generic (protocol independent) support for request cycle processing. 
wicket.session   
 

Uses of Request in wicket
 

Fields in wicket declared as Request
protected  Request RequestCycle.request
          The current request.
 

Methods in wicket that return Request
 Request RequestCycle.getRequest()
          Gets the request.
 Request Component.getRequest()
           
 

Methods in wicket with parameters of type Request
 RequestCycle Session.newRequestCycle(Request request, Response response)
          THIS METHOD IS NOT PART OF THE WICKET PUBLIC API.
 RequestCycle IRequestCycleFactory.newRequestCycle(Session session, Request request, Response response)
          Creates a new RequestCycle object.
 void RequestCycle.setRequest(Request request)
           
 

Constructors in wicket with parameters of type Request
RequestCycle(Session session, Request request, Response response)
          Constructor.
 

Uses of Request in wicket.protocol.http
 

Subclasses of Request in wicket.protocol.http
 class WebRequest
          Subclass of Request for HTTP protocol requests which holds an underlying HttpServletRequest object.
 class WebRequestWithCryptedUrl
          Deprecated. since 1.2 Please see wicket.protocol.http.request.CryptedUrlwebRequestCodingStrategy
 

Methods in wicket.protocol.http with parameters of type Request
 void AbstractHttpSessionStore.bind(Request request, Session newSession)
           
 java.lang.Object HttpSessionStore.getAttribute(Request request, java.lang.String name)
           
 java.util.List HttpSessionStore.getAttributeNames(Request request)
           
 java.lang.String AbstractHttpSessionStore.getSessionId(Request request)
           
 void AbstractHttpSessionStore.invalidate(Request request)
           
 Session AbstractHttpSessionStore.lookup(Request request)
           
protected  void AbstractHttpSessionStore.onBind(Request request, Session newSession)
          Template method that is called when a session is being bound to the session store.
 void HttpSessionStore.removeAttribute(Request request, java.lang.String name)
           
 void HttpSessionStore.setAttribute(Request request, java.lang.String name, java.lang.Object value)
           
protected  WebRequest AbstractHttpSessionStore.toWebRequest(Request request)
          Cast Request to WebRequest.
 

Uses of Request in wicket.protocol.http.portlet
 

Subclasses of Request in wicket.protocol.http.portlet
 class WicketPortletRequest
          A Request implementation that uses PortletRequest
 

Methods in wicket.protocol.http.portlet with parameters of type Request
protected  void PortletRequestCodingStrategy.addBookmarkablePageParameters(Request request, RequestParameters parameters)
          Adds bookmarkable page related parameters (page alias and optionally page parameters).
protected  void PortletRequestCodingStrategy.addInterfaceParameters(Request request, RequestParameters parameters)
          Adds page related parameters (path and pagemap and optionally version and interface).
protected  void PortletRequestCodingStrategy.addResourceParameters(Request request, RequestParameters parameters)
          Adds (shared) resource related parameters (resource key).
 void PortletSessionStore.bind(Request request, Session newSession)
           
 RequestParameters PortletRequestCodingStrategy.decode(Request request)
           
 java.lang.Object PortletSessionStore.getAttribute(Request request, java.lang.String name)
           
 java.util.List PortletSessionStore.getAttributeNames(Request request)
           
 java.lang.String PortletSessionStore.getSessionId(Request request)
           
 void PortletSessionStore.invalidate(Request request)
           
 Session PortletSessionStore.lookup(Request request)
           
protected  void PortletSessionStore.onBind(Request request, Session newSession)
          Template method that is called when a session is being bound to the session store.
 void PortletSessionStore.removeAttribute(Request request, java.lang.String name)
           
 void PortletSessionStore.setAttribute(Request request, java.lang.String name, java.lang.Object value)
           
protected  WicketPortletRequest PortletSessionStore.toPortletRequest(Request request)
          Cast Request to WebRequest.
 

Uses of Request in wicket.protocol.http.request
 

Methods in wicket.protocol.http.request with parameters of type Request
protected  void WebRequestCodingStrategy.addBookmarkablePageParameters(Request request, RequestParameters parameters)
          Adds bookmarkable page related parameters (page alias and optionally page parameters).
protected  void WebRequestCodingStrategy.addInterfaceParameters(Request request, RequestParameters parameters)
          Adds page related parameters (path and pagemap and optionally version and interface).
protected  void WebRequestCodingStrategy.addResourceParameters(Request request, RequestParameters parameters)
          Adds (shared) resource related parameters (resource key).
 RequestParameters WebRequestCodingStrategy.decode(Request request)
           
 RequestParameters CryptedUrlWebRequestCodingStrategy.decode(Request request)
          Decode the querystring of the URL
protected  java.lang.String WebRequestCodingStrategy.getRequestPath(Request request)
          Gets the request info path.
 

Uses of Request in wicket.protocol.http.servlet
 

Subclasses of Request in wicket.protocol.http.servlet
 class MultipartServletWebRequest
          Servlet specific WebRequest subclass for multipart content uploads.
 class ServletWebRequest
          A Servlet specific WebRequest implementation wrapping a HttpServletRequest
 

Uses of Request in wicket.request
 

Methods in wicket.request with parameters of type Request
 RequestParameters IRequestCodingStrategy.decode(Request request)
          Analyze the request and create a corresponding request parameters object for it.
 

Uses of Request in wicket.session
 

Methods in wicket.session with parameters of type Request
 void ISessionStore.bind(Request request, Session newSession)
          Adds the provided new session to this facade using the provided request.
 java.lang.Object ISessionStore.getAttribute(Request request, java.lang.String name)
          Gets the attribute value with the given name
 java.util.List ISessionStore.getAttributeNames(Request request)
           
 java.lang.String ISessionStore.getSessionId(Request request)
          Get the session id for the provided request.
 void ISessionStore.invalidate(Request request)
          Invalidates the session.
 Session ISessionStore.lookup(Request request)
          Retrieves the session for the provided request from this facade.
 void ISessionStore.removeAttribute(Request request, java.lang.String name)
          Removes the attribute with the given name.
 void ISessionStore.setAttribute(Request request, java.lang.String name, java.lang.Object value)
          Adds or replaces the attribute with the given name and value.
 



Copyright © 2004-2007 Wicket developers. All Rights Reserved.